'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj['default'] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _inquirerQuestion = require('inquirer-question');

var _inquirerQuestion2 = _interopRequireDefault(_inquirerQuestion);

var _trakt = require('./trakt');

var trakt = _interopRequireWildcard(_trakt);

exports['default'] = function () {
	var data = {};

	return _inquirerQuestion2['default'].prompt([{
		type: 'list',
		message: 'type',
		name: 'type',
		choices: ['show', 'movie']
	}, {
		type: 'input',
		message: 'title',
		name: 'title'
	}, {
		type: 'input',
		message: 's',
		name: 's'
	}, {
		type: 'input',
		message: 'ep',
		name: 'ep'
	}]).then(function (result) {
		data.s = parseInt(result.s);
		data.ep = parseInt(result.ep);
		data.type = result.type;

		return trakt.search(result.title, result.type);
	}).then(function (result) {
		var mapping = data.type === 'show' ? function (item) {
			return {
				name: item.show.title + ' (' + item.show.year + ') [' + item.show.status + '] ' + item.show.ids.imdb,
				value: {
					show: item.show,
					imdb: item.show.ids.imdb
				}
			};
		} : function (item) {
			return {
				name: item.movie.title + ' (' + item.movie.year + ') ' + item.movie.ids.imdb,
				value: {
					movie: item.movie,
					imdb: item.movie.ids.imdb
				}
			};
		};

		return _inquirerQuestion2['default'].prompt({
			type: 'list',
			message: 'media',
			name: 'imdb',
			choices: result.map(mapping)
		});
	}).then(function (result) {
		return _extends({}, data, result.imdb);
	})['catch'](function (err) {
		console.log(err);
	});
};

module.exports = exports['default'];
//# sourceMappingURL=prompt.js.map