'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});
var getScrobbleShowData = function getScrobbleShowData(_ref) {
	var media = _ref.media;
	var progress = _ref.progress;
	return {
		show: {
			ids: {
				imdb: media.imdb
			}
		},
		episode: {
			season: media.s,
			number: media.ep
		},
		progress: progress || 0
	};
};

var getScrobbleMovieData = function getScrobbleMovieData(_ref2) {
	var media = _ref2.media;
	var progress = _ref2.progress;
	return {
		movie: {
			ids: {
				imdb: media.imdb
			}
		},
		progress: progress
	};
};

var formatScrobbleData = function formatScrobbleData(_ref3) {
	var media = _ref3.media;
	var progress = _ref3.progress;

	if (media.type === 'show') {
		return getScrobbleShowData({ media: media, progress: progress });
	} else if (media.type === 'movie') {
		return getScrobbleMovieData({ media: media, progress: progress });
	}
};

exports.formatScrobbleData = formatScrobbleData;
var getHistoryShowData = function getHistoryShowData(data) {
	return {
		shows: [{
			ids: {
				imdb: data.imdb
			},
			seasons: [{
				number: data.s,
				episodes: [{
					number: data.ep
				}]
			}]
		}]
	};
};

var getHistoryMovieData = function getHistoryMovieData(data) {
	return {
		movies: [{
			ids: {
				imdb: data.imdb
			}
		}]
	};
};

var formatHistoryData = function formatHistoryData(data) {
	if (data.type === 'show') {
		return getHistoryShowData(data);
	} else if (data.type === 'movie') {
		return getHistoryMovieData(data);
	}
};
exports.formatHistoryData = formatHistoryData;
//# sourceMappingURL=trakt-utils.js.map