'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj['default'] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _superagent = require('superagent');

var _superagent2 = _interopRequireDefault(_superagent);

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _storage = require('./storage');

var _storage2 = _interopRequireDefault(_storage);

var _traktUtils = require('./trakt-utils');

var traktUtils = _interopRequireWildcard(_traktUtils);

var token = null;
var setToken = function setToken(_token) {
	return token = _token;
};

exports.setToken = setToken;
_storage2['default'].on(_storage.PLAY_MEDIA, function (_ref) {
	var media = _ref.media;
	var progress = _ref.progress;

	startScrobble(traktUtils.formatScrobbleData({ media: media, progress: progress }));
});

_storage2['default'].on(_storage.PAUSE_MEDIA, function (_ref2) {
	var media = _ref2.media;
	var progress = _ref2.progress;

	pauseScrobble(traktUtils.formatScrobbleData({ media: media, progress: progress }));
});

_storage2['default'].on(_storage.SCROBBLE, function (_ref3) {
	var db = _ref3.db;
	var filename = _ref3.filename;
	var media = _ref3.media;

	addToHistory(db, filename, media);
});

var method = function method(url, data, cb) {
	console.log(url, JSON.stringify(data, null, 2));
	return new _bluebird2['default'](function (resolve, reject) {
		_superagent2['default'].post(url).send(data).set('Content-Type', 'application/json').set('Accept', 'application/json').set('Authorization', 'Bearer ' + token).set('trakt-api-key', '412681ab85026009c32dc6e525ba6226ff063aad0c1a374def0c8ee171cf121f').set('trakt-api-version', '2').end(function (err, res) {
			if (err) {
				reject(err);
			} else {
				resolve(res);
			}
		});
	});
};

exports.method = method;
var startScrobble = function startScrobble(data) {
	return method('https://api-v2launch.trakt.tv/scrobble/start', data);
};

var pauseScrobble = function pauseScrobble(data) {
	return method('https://api-v2launch.trakt.tv/scrobble/pause', data);
};

var addToHistory = function addToHistory(db, filename, data) {
	return method('https://api-v2launch.trakt.tv/sync/history', traktUtils.formatHistoryData(data)).then(function () {
		return db.updateFile(filename, { scrobble: true, scrobbleAt: new Date().toISOString() });
	});
};

exports.addToHistory = addToHistory;
var search = function search(query, type) {
	return new _bluebird2['default'](function (resolve, reject) {
		_superagent2['default'].get('https://api-v2launch.trakt.tv/search').query({ query: query, type: type }).set('Content-Type', 'application/json').set('Accept', 'application/json').set('trakt-api-key', '412681ab85026009c32dc6e525ba6226ff063aad0c1a374def0c8ee171cf121f').set('trakt-api-version', '2').end(function (err, result) {
			if (err) {
				reject(err);
			} else {
				resolve(result.body);
			}
		});
	});
};
exports.search = search;
//# sourceMappingURL=trakt.js.map